Bug 1259696 - Designer can't associate existing elements with swimlane
Designer can't associate existing elements with swimlane
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
All All
urgent Severity unspecified
: CR2
: 6.1.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 07:46 EDT by Kirill Gaevskii
Modified: 2015-09-11 04:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Swimlange associations (5.68 MB, application/octet-stream)
2015-09-03 07:46 EDT, Kirill Gaevskii
no flags Details

  None (edit)
Description Kirill Gaevskii 2015-09-03 07:46:25 EDT
Created attachment 1069765 [details]
Swimlange associations

Description of problem:
If you will add new Swimlane and try to add to this Swimlane some element (which is already exist in process, or element which is added after Swimlane but out of Swimlane and then moved to Swimlane) Swimlane source will have no associated elements. See attachment.

Version-Release number of selected component (if applicable):
6.1.3.CR1

How reproducible:
always

Steps to Reproduce:
1. Create Business Process
2. Add some task [first task]
3. Add Swimlane
4. Add new task [second task] to Swimlane
5. See source of Swimlane
6. Move Start Event and first task to Swimlane
7. See source of Swimlane
8. Add task to canvas (beside the Swimlane)
9. Move task to Swimlane
10. See source of Swimlane

Actual results:
On point 7 and 10 no new element in Swimlane source appear
On point 6 Start Event and First Task will disappear (will be under the Swimlane)

Expected results:
All element will be associate with Swimlane in any browser.

Additional info:
Server warning when trying to see Swimlane source: 13:29:44,289 WARN  [org.jbpm.designer.bpmn2.impl.Bpmn2JsonUnmarshaller] (http-localhost/127.0.0.1:8080-25) index=0, size=0

Affected: FF31esr, FF24esr, Google Chrome, IE10, IE11
NOT Affected: FF40
Comment 2 Tihomir Surdilovic 2015-09-04 16:59:27 EDT
This issue was caused by the code done for https://bugzilla.redhat.com/show_bug.cgi?id=1230217

Even tho https://bugzilla.redhat.com/show_bug.cgi?id=1230217 is set to verified it created this problem. I would suggest that we leave 
https://bugzilla.redhat.com/show_bug.cgi?id=1230217 out of this rollup patch and have it done for the next one. I am working on a better fix now that will fix both problems however it is imo risky to include into this rollup because of issues it could possibly cause.
Comment 3 Tihomir Surdilovic 2015-09-08 09:41:52 EDT
6.2.x branch commit: https://github.com/droolsjbpm/jbpm-designer/commit/3f2eba024090ef08eec5a1362d60af55c08fed17

Note You need to log in before you can comment on or make changes to this bug.